export declare class NumberParser {
    private readonly digitsByNumeral;
    private readonly groupSeparatorRegex;
    private readonly decimalSeparatorRegex;
    private readonly numeralRegex;
    private readonly unknownRegex;
    constructor(locale: string);
    parse(string: string, allowUnknownCharacters?: boolean): number;
    static getNumeralsForLocale(locale: string): string[];
    static getGroupSeparatorForLocale(locale: string): string;
    static getDecimalSeparatorForLocale(locale: string): string;
}
